<?php

/*
 * Loads the Options Panel
 *
 * If you're loading from a child theme use stylesheet_directory
 * instead of template_directory
 */

define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
require_once dirname( __FILE__ ) . '/inc/options-framework.php';

// Loads options.php from child or parent theme
$optionsfile = locate_template( 'options.php' );
load_template( $optionsfile );

function enqeue_styles_scripts(){
    wp_enqueue_style('slick-styles', get_template_directory_uri() . '/inc/css/slick.css', array(), filemtime(get_template_directory() . '//inc/css/slick.css'), false);
    wp_enqueue_style('slick-theme-styles', get_template_directory_uri() . '/inc/css/slick-theme.css', array(), filemtime(get_template_directory() . '/inc/css/slick-theme.css'), false);
	wp_enqueue_style('animate', get_template_directory_uri() . '/inc/css/animate.css', array(), filemtime(get_template_directory() . '/inc/css/animate.css'), false);
    wp_enqueue_style('main-styles', get_template_directory_uri() . '/style.css', array(), filemtime(get_template_directory() . '/style.css'), false);
}

add_action( 'wp_enqueue_scripts', 'enqeue_styles_scripts' );

function wpb_custom_new_menu() {
    register_nav_menu('header-menu',__( 'Header Menu' ));
}
add_action( 'init', 'wpb_custom_new_menu' );

add_filter('nav_menu_css_class' , 'special_nav_class' , 10 , 2);

function special_nav_class($classes, $item){
     if( in_array('current-menu-item', $classes) ){
             $classes[] = 'active ';
     }
     return $classes;
}