<?php /* Template Name: Homepage */ ?>
<?php get_header();
$fields = CFS()->get( 'sliders' );
$client_logos = CFS()->get( 'client_logos' );
$about_us_image = CFS()->get( 'about_us_image' );
$about_us_years = CFS()->get( 'about_us_years' );
$about_us_title = CFS()->get( 'about_us_title' );
$about_us_description = CFS()->get( 'about_us_description' );
$product_section_title = CFS()->get( 'product_section_title' );
$products = CFS()->get( 'products' );
$testimonial_main_title = CFS()->get( 'testimonial_title' );
$testimonials = CFS()->get( 'testimonials' );
$contact_us_section_title = CFS()->get( 'contact_us_section_title' );

if(is_array($fields) && count($fields) > 0) : 
?>
<section class="banner" id="home">
            <div class="slider banner-slider">
                <?php foreach ( $fields as $field ) : ?>
                <div class="tile" style="background: <?php echo $field['slider_background_color'] ?> ">
                    <div class="container">
                        <div class="wrapper">
                            <div class="banner-content">
                                <?php if(isset($field['slider_main_tile'])): ?>
                                <h2 style="background: <?php echo $field['slider_heading_background_color'] ?>; color : <?php echo $field['slider_title_text_color'] ?>"><?php echo $field['slider_main_tile'];  ?></h2>
                                <?php endif;
                                 if(isset($field['slider_sub_title'])): 
                                ?>
                                <p style="color : <?php echo $field['slider_sub_content_color'] ?>"><?php echo $field['slider_sub_title'];  ?></p>
                                <?php endif; ?>
                            </div>
                            <?php if(isset($field['slider_main_tile'])): ?>
                            <div class="banner-img">
                                <img class="img-fluid" src="<?php echo $field['slider_image'];  ?>" alt="<?php echo $field['slider_main_tile'];  ?>">
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php endforeach; ?>
            </div>
            <span class="scroll-anim">
                <img src="<?php echo get_template_directory_uri()?>/images/mouse-weel.svg" alt="mouse-weel">
            </span>
        </section>
 <?php endif;
 if(is_array($client_logos) && count($client_logos) > 0) : 
 ?>       
        <section class="client">
            <div class="container">
                <div class="wrapper">
                    <ul class="client-list">
                    <?php foreach ( $client_logos as $field ) : 
                        ?>
                        <li><img src="<?php echo $field['logo']; ?>" alt=""></li>
                    <?php endforeach; ?>   
                    </ul>
                </div>
            </div>
        </section>
<?php endif;
if(isset($about_us_title)) :

?>        
        <section class="about" id="about">
            <div class="container">
                <div class="wrapper">
                <?php if(isset($about_us_image)) : ?>
                    <div class="about-img-space">
                        <div class="about-img wow bounceInUp">
                            <img class="img-fluid" src="<?php echo $about_us_image ; ?>" alt="">
                        </div>
                        <div class="highlighter wow bounceInUp" data-wow-delay="0.2s">
                            <h3><?php echo $about_us_years ; ?></h3>
                            <h4>Years of Experience</h4>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="about-details wow bounceInUp" data-wow-delay="0.4s">
                        <h2 class="section-title">About Us</h2>
                        <h3 class="section-head"><?php echo $about_us_title ; ?></h3>
                        <p><?php echo $about_us_description ; ?></p>
                    </div>
                </div>
            </div>
        </section>
 <?php endif;
  
  if(is_array($products) && count($products) > 0) :
	$i = 1;
 ?>       
        <section class="products" id="products">
            <div class="container">
                <div class="section-header wow bounceIn">
                    <h2 class="section-title">Products</h2>
                    <h3 class="section-head"> <?php echo $product_section_title ; ?></h3>
                </div>
                <div class="products-list">
                <?php foreach ( $products as $field ) :
                    ?>
                    <figure class="products-figure product-tile wow bounceInUp" data-wow-delay="<?php $i*0.8 ?>s" data-video="<?php echo $field['product_video']['url'];  ?>" data-image="<?php echo $field['pop_up_image'] ?>" data-title="<?php echo $field['product_title'];  ?>" data-description="<?php echo $field['product_main_description'];  ?>">
                        <a class="tile" >
                            <img class="img-fluid" src="<?php echo $field['product_image'];  ?>" alt="<?php echo $field['product_title'];  ?>">
                            <figcaption class="products-figure-caption">
                                <div class="products-figure-detail">
                                    <h2><?php echo $field['product_title'];  ?></h2>
                                    <p><?php echo $field['product_description'];  ?></p>
                                </div>
                                <span class="link-btn">Read more</span>
                            </figcaption>
                        </a>
                    </figure>
                  <?php $i++; endforeach; ?>  
                </div>
            </div>
        </section>
      <?php endif;
      if(is_array($testimonials) && count($testimonials) > 0) :
      ?>  
        <section class="client-testimonials" id="client-testimonials">
            <div class="container">
                <div class="section-header wow bounceIn">
                    <h2 class="section-title">Client Testimonials</h2>
                    <h3 class="section-head"><?php echo $testimonial_main_title; ?></h3>
                </div>
                <div>
                    <div class="slider testimonials-slider">
                    <?php foreach ( $testimonials as $field ) : ?> 
                        <div class="title">
                            <div class="testimonials-tile">
                                <?php if(isset($field['image'])): ?>
                                <div class="testimonials-img">
                                    <img src="<?php echo $field['image']; ?>" alt="testimonial">
                                </div>
                                <?php endif;?>
                                <div class="testimonials-details">
                                    <div class="testimonials-content">
                                        <p><?php echo $field['testimonial']; ?></p>
                                        <h3 class="head"><?php echo $field['name']; ?></h3>
                                        <h4 class="sub-head"><?php echo $field['designation']; ?></h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; ?>
                    </div>
                </div>
            </div>
        </section>
        <?php endif; ?>
        <section class="contact-us" id="contact-us">
            <div class="container">
                <div class="section-header wow bounceIn">
                    <h2 class="section-title">How can we help you?</h2>
                    <h3 class="section-head"><?php echo $contact_us_section_title; ?></h3>
                </div>
                <div class="contact-us-form"><?php echo do_shortcode('[ninja_form id=1]') ?></div>
            </div>
        </section>

        <?php get_footer(); ?>